﻿// Author : Bas van der Woude
// Date   : 2011-03-31


namespace RobvanderWoude
{
	public class PrinterInfo
	{
		public string Name { get; set; }
		public uint Status { get; set; }
		public uint PrintJobCount { get; set; }
		public WMIActionResult ActionResult { get; set; }
	}

	public enum WMIActionResult
	{
		Success = 0,
		AccessDenied = 5,
		Other = 8
	}

	public enum WMIPrinterStatus
	{
		Other = 1,
		Unknown = 2,
		Idle = 3,
		Printing = 4,
		Warmup = 5,
		StoppedPrinting = 6,
		Offline = 7,
		Paused = 8,
		Error = 9,
		Busy = 10,
		NotAvailable = 11,
		Waiting = 12,
		Processing = 13,
		Initialization = 14,
		PowerSave = 15,
		PendingDeletion = 16,
		IOActive = 17,
		ManualFeed = 18
	}

}
